<!DOCTYPE html>
<html>
  <head>
    <%- include('./part/head'); -%>
    <title>Hypertube - <%= movieinfos.title %></title>
    <link rel="stylesheet" type="text/css" href="/style/video.css" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="/script/comment.js"></script>
    <script src="/script/video.js"></script>
  </head>
  <body>
    <%- include('./part/header'); -%>
    <div id="global-video" class="video-global">

      <div id="video-modal" class="modal" data-lang="<%= userLang %>" data-imdbid="<%= imdbid %>"> 
        <div class="video-modal-content">
          <span class="close">&times;</span>
          <div id="close-video">
            <video onerror="vError(event)" controls class='video-player' id="video"></video>
          </div>
        </div>
      </div>

      <div id="modal" class="modal">
        <span class="close-load">&times;</span>
        <div class="modal-content">
        </div>
      </div>

      <div class="video">
        <div class="video-info">
          <div class="global-video-info">
            <div class="video-img">
              <% if(movieinfos.poster !== 'N/A') { %>
                <img class="video-img-src" src="<%= movieinfos.poster %>"/>
              <% } else { %>
                <i class="video-img-src far fa-image"></i>
              <% } %>
            </div>
            <div class="video-info-src">
              <input id="series-nb" type="hidden" value="<%if (movieinfos.series === true) { %><%= movieinfos.totalseasons %><% } else { %>0<% } %>"/>
              <p class="video-title" data-year="<%= movieinfos.year %>"><span id="video-title"><%= movieinfos.title %></span> <%if (movieinfos.year) { %><span>- <%= movieinfos.year %></span><% } %></p>
              <p class="video-rating"><%= movieinfos.score %> <i class="fas fa-star"></i></p>
              <p class="video-runtime"><% if(movieinfos.runtime !== 'N/A') { %> <%= movieinfos.runtime %><% } %></p>
              <p class="video-runtime"><% if(movieinfos.director !== 'N/A') { %> Director: <%= movieinfos.director %> <% } %></p>
              <p class="video-runtime"><% if(movieinfos.writer !== 'N/A') { %> Writer: <%= movieinfos.writer %> <% } %></p>
              <p class="video-runtime"><% if(movieinfos.actors !== 'N/A') { %> Actors: <%= movieinfos.actors %> <% } %></p>
            </div>
            <p class="video-description"><% if(movieinfos.plot !== 'N/A') { %><%= movieinfos.plot %><% } %></p>
          </div>
        </div>
        <div class="video-magnet">
          <div class="video-list">
            <div class="lds-dual-ring-list"></div>
          </div>
        </div>
      </div>
      <div class="global-comment">
        <div class="video-add-comment">
          <form id="addComment">
            <textarea id="comment" name="comment" placeholder="Comment ..."></textarea>
            <input id="imdbid" type="hidden" name="imdbid" value="<% if(imdbid) { %><%= imdbid %><% } %>">
            <input onclick="addComment()"class="btn-add-comment" type="button" value="Add"/>
            <p class="error"></p>
          </form>
        </div>
        <div class="video-comment">
          <div class="lds-dual-ring-list"></div>
        </div>
      </div>
    </div>
    <%- include('./part/footer'); -%>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/hls.js@latest"></script>
    <script src="/script/videoModal.js"></script>
</body>
</html>
